diff --git a/perl/t/900-introspection.t b/perl/t/900-introspection.t
index 6defc9b..c1fa6f8 100644
--- a/perl/t/900-introspection.t
+++ b/perl/t/900-introspection.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test %guestfs_introspection.
 
diff --git a/php/Makefile.am b/php/Makefile.am
index 6666f66..828960c 100644
--- a/php/Makefile.am
+++ b/php/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/php/extension/config.m4 b/php/extension/config.m4
index ee19971..00c06b4 100644
--- a/php/extension/config.m4
+++ b/php/extension/config.m4
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 PHP_ARG_ENABLE([guestfs_php], [enable libguestfs PHP bindings],
                [ --enable-guestfs-php   Enable libguestfs support])
diff --git a/php/run-php-tests.sh b/php/run-php-tests.sh
index 4905c2c..6615985 100755
--- a/php/run-php-tests.sh
+++ b/php/run-php-tests.sh
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 set -e
 cd extension
diff --git a/po-docs/Makefile.am b/po-docs/Makefile.am
index 22b6635..f9af41b 100644
--- a/po-docs/Makefile.am
+++ b/po-docs/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # XXX The use of po4a is naive here.  Also we should integrate this
 # into the po/ directory and the translations into the usual
diff --git a/po-docs/ja/Makefile.am b/po-docs/ja/Makefile.am
index 68e1643..d0d5c14 100644
--- a/po-docs/ja/Makefile.am
+++ b/po-docs/ja/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Note that each Makefile.am in po-docs/$lang/Makefile.am should be
 # identical.  If you create a new $lang.po, create the $lang/
diff --git a/po-docs/uk/Makefile.am b/po-docs/uk/Makefile.am
index 68e1643..d0d5c14 100644
--- a/po-docs/uk/Makefile.am
+++ b/po-docs/uk/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Note that each Makefile.am in po-docs/$lang/Makefile.am should be
 # identical.  If you create a new $lang.po, create the $lang/
diff --git a/po/POTFILES.in b/po/POTFILES.in
index 0ed9e45..fcc612d 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -48,6 +48,7 @@ daemon/ls.c
 daemon/luks.c
 daemon/lvm-filter.c
 daemon/lvm.c
+daemon/md.c
 daemon/mkfs.c
 daemon/mknod.c
 daemon/modprobe.c
diff --git a/podwrapper.sh.in b/podwrapper.sh.in
index 9accaf9..967f44c 100755
--- a/podwrapper.sh.in
+++ b/podwrapper.sh.in
@@ -15,7 +15,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Wrapper script around POD utilities which can include files in the
 # POD and controls HTML generation.
diff --git a/python/Makefile.am b/python/Makefile.am
index 2f543e7..bbccb1a 100644
--- a/python/Makefile.am
+++ b/python/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Old RHEL 5 autoconf doesn't have builddir.
 builddir ?= $(top_builddir)/python
diff --git a/python/examples/Makefile.am b/python/examples/Makefile.am
index 434c8f7..efd634c 100644
--- a/python/examples/Makefile.am
+++ b/python/examples/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 EXTRA_DIST = \
 	LICENSE \
diff --git a/python/run-bindtests b/python/run-bindtests
index cf28bb6..8670387 100755
--- a/python/run-bindtests
+++ b/python/run-bindtests
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 set -e
 
diff --git a/python/run-python-tests b/python/run-python-tests
index f82dc10..528dc2e 100755
--- a/python/run-python-tests
+++ b/python/run-python-tests
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 set -e
 
diff --git a/python/t/005-import.py b/python/t/005-import.py
index 5896d15..36accf8 100644
--- a/python/t/005-import.py
+++ b/python/t/005-import.py
@@ -13,6 +13,6 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 import guestfs
diff --git a/python/t/010-basic.py b/python/t/010-basic.py
index db2d950..e123f29 100644
--- a/python/t/010-basic.py
+++ b/python/t/010-basic.py
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 import os
 import guestfs
diff --git a/python/t/060-optargs.py b/python/t/060-optargs.py
index 78d07c8..aae343d 100644
--- a/python/t/060-optargs.py
+++ b/python/t/060-optargs.py
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 import os
 import guestfs
diff --git a/python/t/400-events.py b/python/t/400-events.py
index 1c29b00..9f96fb0 100644
--- a/python/t/400-events.py
+++ b/python/t/400-events.py
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 import os
 import guestfs
diff --git a/python/t/800-explicit-close.py b/python/t/800-explicit-close.py
index 291534d..4ed6774 100644
--- a/python/t/800-explicit-close.py
+++ b/python/t/800-explicit-close.py
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test implicit vs explicit closes of the handle (RHBZ#717786).
 
diff --git a/regressions/Makefile.am b/regressions/Makefile.am
index 250fd64..0af7e8c 100644
--- a/regressions/Makefile.am
+++ b/regressions/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Regression tests and other important tests which are not
 # specific to the C API.  We can write these more easily in
diff --git a/regressions/rhbz501893.c b/regressions/rhbz501893.c
index aa75271..86e85e5 100644
--- a/regressions/rhbz501893.c
+++ b/regressions/rhbz501893.c
@@ -14,7 +14,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/regressions/rhbz503169c13.sh b/regressions/rhbz503169c13.sh
index a1a84c6..f1cfa5e 100755
--- a/regressions/rhbz503169c13.sh
+++ b/regressions/rhbz503169c13.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Regression test for:
 # https://bugzilla.redhat.com/show_bug.cgi?id=503169#c13
diff --git a/regressions/rhbz557655.sh b/regressions/rhbz557655.sh
index 2bc10cd..df3ceaa 100755
--- a/regressions/rhbz557655.sh
+++ b/regressions/rhbz557655.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Regression test for:
 # https://bugzilla.redhat.com/show_bug.cgi?id=557655
diff --git a/regressions/rhbz576879.sh b/regressions/rhbz576879.sh
index d3db55b..6b7219c 100755
--- a/regressions/rhbz576879.sh
+++ b/regressions/rhbz576879.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Regression test for:
 # https://bugzilla.redhat.com/show_bug.cgi?id=576879#c0
diff --git a/regressions/rhbz578407.sh b/regressions/rhbz578407.sh
index 6ab2d5d..cc010b7 100755
--- a/regressions/rhbz578407.sh
+++ b/regressions/rhbz578407.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Regression test for:
 # https://bugzilla.redhat.com/show_bug.cgi?id=578407
diff --git a/regressions/rhbz580246.sh b/regressions/rhbz580246.sh
index 707231e..0e5dbc6 100755
--- a/regressions/rhbz580246.sh
+++ b/regressions/rhbz580246.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test tar_in call when we upload something which is larger than
 # available space.
diff --git a/regressions/rhbz602997.sh b/regressions/rhbz602997.sh
index 42fd3cb..61b9df6 100755
--- a/regressions/rhbz602997.sh
+++ b/regressions/rhbz602997.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # https://bugzilla.redhat.com/show_bug.cgi?id=602997
 # Fix part-get-bootable to work with missing/unordered partitions.
diff --git a/regressions/rhbz690819.sh b/regressions/rhbz690819.sh
index f4c10ed..251cc8d 100755
--- a/regressions/rhbz690819.sh
+++ b/regressions/rhbz690819.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # https://bugzilla.redhat.com/show_bug.cgi?id=690819
 # mkfs fails creating a filesytem on a disk device when using a disk
diff --git a/regressions/rhbz727178.sh b/regressions/rhbz727178.sh
index 859a60b..bf42015 100755
--- a/regressions/rhbz727178.sh
+++ b/regressions/rhbz727178.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # https://bugzilla.redhat.com/show_bug.cgi?id=727178
 # Check that all binaries that we ship in the appliance contain
diff --git a/regressions/tell-user-to-ignore-errors.sh b/regressions/tell-user-to-ignore-errors.sh
index b17bf75..6564288 100755
--- a/regressions/tell-user-to-ignore-errors.sh
+++ b/regressions/tell-user-to-ignore-errors.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 echo
 echo '*****'
diff --git a/regressions/test-add-domain.sh b/regressions/test-add-domain.sh
index 7616c38..6154a75 100755
--- a/regressions/test-add-domain.sh
+++ b/regressions/test-add-domain.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test add-domain command.
 
diff --git a/regressions/test-bootbootboot.sh b/regressions/test-bootbootboot.sh
index d3a30a3..476cfdb 100755
--- a/regressions/test-bootbootboot.sh
+++ b/regressions/test-bootbootboot.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Some versions of qemu can be flakey and can hang occasionally
 # during boot (particularly KVM if the BIOS is the qemu version
diff --git a/regressions/test-both-ends-cancel.sh b/regressions/test-both-ends-cancel.sh
index 817e098..aa39226 100755
--- a/regressions/test-both-ends-cancel.sh
+++ b/regressions/test-both-ends-cancel.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Regression test for:
 # https://bugzilla.redhat.com/show_bug.cgi?id=576879#c5
diff --git a/regressions/test-cancellation-download-librarycancels.sh b/regressions/test-cancellation-download-librarycancels.sh
index 5f6ebf1..117794d 100755
--- a/regressions/test-cancellation-download-librarycancels.sh
+++ b/regressions/test-cancellation-download-librarycancels.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test download where the library cancels.
 #
diff --git a/regressions/test-cancellation-upload-daemoncancels.sh b/regressions/test-cancellation-upload-daemoncancels.sh
index 605d70f..179ea30 100755
--- a/regressions/test-cancellation-upload-daemoncancels.sh
+++ b/regressions/test-cancellation-upload-daemoncancels.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test upload where the daemon cancels.
 #
diff --git a/regressions/test-copy.sh b/regressions/test-copy.sh
index 22e5c90..ea6a4cc 100755
--- a/regressions/test-copy.sh
+++ b/regressions/test-copy.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test guestfish copy-in and copy-out commands.
 
diff --git a/regressions/test-find0.sh b/regressions/test-find0.sh
index e2bd89e..726469c 100755
--- a/regressions/test-find0.sh
+++ b/regressions/test-find0.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test find0 call.
 
diff --git a/regressions/test-guestfish-a.sh b/regressions/test-guestfish-a.sh
index 064b268..4fd45f7 100755
--- a/regressions/test-guestfish-a.sh
+++ b/regressions/test-guestfish-a.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test guestfish -a option.
 
diff --git a/regressions/test-guestfish-d.sh b/regressions/test-guestfish-d.sh
index ab03944..41f1609 100755
--- a/regressions/test-guestfish-d.sh
+++ b/regressions/test-guestfish-d.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test guestfish -d option.
 
diff --git a/regressions/test-guestfish-escapes.sh b/regressions/test-guestfish-escapes.sh
index 3ba37d2..73f41d5 100755
--- a/regressions/test-guestfish-escapes.sh
+++ b/regressions/test-guestfish-escapes.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test guestfish string escapes.
 
diff --git a/regressions/test-guestfish-tilde.sh b/regressions/test-guestfish-tilde.sh
index 8ba5904..aed4431 100755
--- a/regressions/test-guestfish-tilde.sh
+++ b/regressions/test-guestfish-tilde.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test guestfish tilde expansion.
 # RHBZ#617440 guestfish: fails to tilde expand '~' when the $HOME env is unset
diff --git a/regressions/test-inspect-fstab.sh b/regressions/test-inspect-fstab.sh
index 26ea10f..332cde0 100755
--- a/regressions/test-inspect-fstab.sh
+++ b/regressions/test-inspect-fstab.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test various aspects of core inspection of /etc/fstab.
 # This also tests: https://bugzilla.redhat.com/668574
diff --git a/regressions/test-launch-race.pl b/regressions/test-launch-race.pl
index 892353e..297c1b6 100755
--- a/regressions/test-launch-race.pl
+++ b/regressions/test-launch-race.pl
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test that 2 simultaneous launches in a clean cache directory will both succeed
 
diff --git a/regressions/test-luks-list.sh b/regressions/test-luks-list.sh
index 9c51464..9385a4c 100755
--- a/regressions/test-luks-list.sh
+++ b/regressions/test-luks-list.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test LUKS devices appear in the output of list-dm-devices.
 
diff --git a/regressions/test-luks.sh b/regressions/test-luks.sh
index 5b53bc8..fcf9d70 100755
--- a/regressions/test-luks.sh
+++ b/regressions/test-luks.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test LUKS device creation, opening, key slots.
 
diff --git a/regressions/test-lvm-filtering.sh b/regressions/test-lvm-filtering.sh
index d7c4e7c..7644bbe 100755
--- a/regressions/test-lvm-filtering.sh
+++ b/regressions/test-lvm-filtering.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test LVM device filtering.
 
diff --git a/regressions/test-lvm-mapping.pl b/regressions/test-lvm-mapping.pl
index 7af2842..3e6faa5 100755
--- a/regressions/test-lvm-mapping.pl
+++ b/regressions/test-lvm-mapping.pl
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test the discovery of relationships between LVM PVs, VGs and LVs.
 
diff --git a/regressions/test-noexec-stack.pl b/regressions/test-noexec-stack.pl
index 3bdfc16..6de0b57 100755
--- a/regressions/test-noexec-stack.pl
+++ b/regressions/test-noexec-stack.pl
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use strict;
 use warnings;
diff --git a/regressions/test-qemudie-killsub.sh b/regressions/test-qemudie-killsub.sh
index 9f78953..8ee7ae8 100755
--- a/regressions/test-qemudie-killsub.sh
+++ b/regressions/test-qemudie-killsub.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test if we can handle qemu death from the kill-subprocess command.
 
diff --git a/regressions/test-qemudie-launchfail.sh b/regressions/test-qemudie-launchfail.sh
index 15e62fb..e3fcb82 100755
--- a/regressions/test-qemudie-launchfail.sh
+++ b/regressions/test-qemudie-launchfail.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test if we can handle qemu failure during launch.
 
diff --git a/regressions/test-qemudie-midcommand.sh b/regressions/test-qemudie-midcommand.sh
index 47cad04..cdf3f03 100755
--- a/regressions/test-qemudie-midcommand.sh
+++ b/regressions/test-qemudie-midcommand.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test if we can handle qemu death in the middle of a command.
 
diff --git a/regressions/test-qemudie-synch.sh b/regressions/test-qemudie-synch.sh
index fcc2e50..697c83b 100755
--- a/regressions/test-qemudie-synch.sh
+++ b/regressions/test-qemudie-synch.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test if we can handle qemu death synchronously.
 
diff --git a/regressions/test-read_file.sh b/regressions/test-read_file.sh
index 71b8957..cd016e3 100755
--- a/regressions/test-read_file.sh
+++ b/regressions/test-read_file.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test read_file call.
 
diff --git a/regressions/test-remote.sh b/regressions/test-remote.sh
index 40c2ee9..ff5b85a 100755
--- a/regressions/test-remote.sh
+++ b/regressions/test-remote.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test remote control of guestfish.
 
diff --git a/regressions/test-reopen.sh b/regressions/test-reopen.sh
index 90774c9..321f2a0 100755
--- a/regressions/test-reopen.sh
+++ b/regressions/test-reopen.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test reopening the handle in the same process.  This used to fail
 # but was corrected in 03e1f74ee08dc71bc09cc7655bf4732685f80b43.
diff --git a/regressions/test-stringlist.sh b/regressions/test-stringlist.sh
index 06b5bc2..1aa953b 100755
--- a/regressions/test-stringlist.sh
+++ b/regressions/test-stringlist.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test remote control of guestfish.
 
diff --git a/regressions/test-upload-to-dir.sh b/regressions/test-upload-to-dir.sh
index 03cce5b..41ce5e5 100755
--- a/regressions/test-upload-to-dir.sh
+++ b/regressions/test-upload-to-dir.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # If you used the guestfish command 'upload' and accidentally set the
 # target to a directory instead of the full filename, then previously
diff --git a/rescue/Makefile.am b/rescue/Makefile.am
index 85a70f9..cf173ce 100644
--- a/rescue/Makefile.am
+++ b/rescue/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/rescue/virt-rescue.c b/rescue/virt-rescue.c
index 0c00364..9a354b8 100644
--- a/rescue/virt-rescue.c
+++ b/rescue/virt-rescue.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/rescue/virt-rescue.pod b/rescue/virt-rescue.pod
index dc139dc..050db48 100755
--- a/rescue/virt-rescue.pod
+++ b/rescue/virt-rescue.pod
@@ -351,4 +351,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/resize/Makefile.am b/resize/Makefile.am
index 69103d6..5046a8c 100644
--- a/resize/Makefile.am
+++ b/resize/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
